package org.ts.ddcs.Entity;

import java.math.BigDecimal;
import java.sql.Timestamp;

public class RsvrEntity {
    private String STCD;//测站编码
    private Timestamp TM;//采集时间
    private BigDecimal RZ;//库上水位
    private BigDecimal INQ;//入库流量
    private BigDecimal W;//蓄水量
    private BigDecimal BLRZ;//库下水位
    private BigDecimal OTQ;//出库流量
    private String RWCHRCD;//库水特征码
    private String RWPTN;//库水水势
    private BigDecimal INQDR;//入流时段长
    private String MSQMT;//测流方法
    private Timestamp DT;//报文发送时间
    private Timestamp TS;//接收时间

    public String getSTCD() {
        return STCD;
    }

    public void setSTCD(String STCD) {
        this.STCD = STCD;
    }

    public Timestamp getTM() {
        return TM;
    }

    public void setTM(Timestamp TM) {
        this.TM = TM;
    }

    public BigDecimal getRZ() {
        return RZ;
    }

    public void setRZ(BigDecimal RZ) {
        this.RZ = RZ;
    }

    public BigDecimal getINQ() {
        return INQ;
    }

    public void setINQ(BigDecimal INQ) {
        this.INQ = INQ;
    }

    public BigDecimal getW() {
        return W;
    }

    public void setW(BigDecimal w) {
        W = w;
    }

    public BigDecimal getBLRZ() {
        return BLRZ;
    }

    public void setBLRZ(BigDecimal BLRZ) {
        this.BLRZ = BLRZ;
    }

    public BigDecimal getOTQ() {
        return OTQ;
    }

    public void setOTQ(BigDecimal OTQ) {
        this.OTQ = OTQ;
    }

    public String getRWCHRCD() {
        return RWCHRCD;
    }

    public void setRWCHRCD(String RWCHRCD) {
        this.RWCHRCD = RWCHRCD;
    }

    public String getRWPTN() {
        return RWPTN;
    }

    public void setRWPTN(String RWPTN) {
        this.RWPTN = RWPTN;
    }

    public BigDecimal getINQDR() {
        return INQDR;
    }

    public void setINQDR(BigDecimal INQDR) {
        this.INQDR = INQDR;
    }

    public String getMSQMT() {
        return MSQMT;
    }

    public void setMSQMT(String MSQMT) {
        this.MSQMT = MSQMT;
    }

    public Timestamp getDT() {
        return DT;
    }

    public void setDT(Timestamp DT) {
        this.DT = DT;
    }

    public Timestamp getTS() {
        return TS;
    }

    public void setTS(Timestamp TS) {
        this.TS = TS;
    }
}
